# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-09-20 20:54
from __future__ import unicode_literals

import django.contrib.postgres.fields.ranges
import django.contrib.postgres.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auto', '0004_auto_20170710_0409'),
    ]

    operations = [
        migrations.CreateModel(
            name='Generation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, db_index=True, default=None, max_length=20, null=True, verbose_name='Кузов')),
                ('years', django.contrib.postgres.fields.ranges.IntegerRangeField(blank=True, null=True, validators=[django.contrib.postgres.validators.RangeMinValueValidator(1890)], verbose_name='Период')),
                ('model_auto', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.ModelAuto', verbose_name='Модель')),
            ],
            options={
                'ordering': ['name'],
                'verbose_name': 'Поколение',
                'verbose_name_plural': 'Поколения',
            },
        ),
    ]
